Debian Bug report logs - #687449
redmine: postinst script terminates with negative exit status

version graph

Package: redmine; Maintainer for redmine is Jérémy Lal <kapouer@melix.org>; Source for redmine is src:redmine.

Reported by: nik@naturalnet.de

Date: Wed, 12 Sep 2012 20:27:01 UTC

Severity: serious

Tags: patch

Found in version redmine/1.4.4+dfsg1-1

Fixed in version redmine/1.4.4+dfsg1-1.1

Done: Dominik George <nik@naturalnet.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#687449; Package redmine. (Wed, 12 Sep 2012 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to nik@naturalnet.de:
New Bug report received and forwarded. Copy sent to Jérémy Lal <kapouer@melix.org>. (Wed, 12 Sep 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: redmine: postinst script terminates with negative exit status
Date: Wed, 12 Sep 2012 22:14:28 +0200
Package: redmine
Version: 1.4.4+dfsg1-1
Severity: important

The redmine postinst script uses a negative exit status on line 279 which is illegal:

/var/lib/dpkg/info/redmine.postinst: 279: exit: Illegal number: -1

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages redmine depends on:
ii  bundler                       1.1.4-5
ii  dbconfig-common               1.8.47+nmu1
ii  debconf [debconf-2.0]         1.5.46
ii  redmine-pgsql                 1.4.4+dfsg1-1
ii  ruby                          4.9
ii  ruby-coderay                  1.0.6-2
ii  ruby-fastercsv                1.5.5-1
ii  ruby-net-ldap                 0.3.1-2
ii  ruby-rack                     1.4.1-2
ii  ruby-rails-2.3                2.3.14-4
ii  ruby1.8 [ruby-interpreter]    1.8.7.358-4
ii  ruby1.9.1 [ruby-interpreter]  1.9.3.194-1

redmine recommends no packages.

Versions of packages redmine suggests:
pn  bzr           <none>
pn  cvs           <none>
pn  darcs         <none>
ii  git           1:1.7.10.4-1
ii  mercurial     2.2.2-1
pn  ruby-openid   <none>
pn  ruby-rmagick  <none>
ii  subversion    1.6.17dfsg-4

-- debconf information excluded



Added tag(s) pending. Request was from Jérémy Lal <kapouer@melix.org> to control@bugs.debian.org. (Mon, 15 Oct 2012 08:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#687449; Package redmine. (Sat, 24 Nov 2012 12:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Jérémy Lal <kapouer@melix.org>. (Sat, 24 Nov 2012 12:42:14 GMT) Full text and rfc822 format available.

Message #12 received at 687449@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: control@bugs.debian.org
Cc: 693994@bugs.debian.org, 687449@bugs.debian.org
Subject: Fixes
Date: Sat, 24 Nov 2012 13:34:26 +0100 (CET)
[Message part 1 (text/plain, inline)]
severity 687449 serious
flag 687449 + patch
kthxbye

The attached patch fixed bugs #687449 and 693994.

-- 
Cheers,
Nik
[redmine-fixes.patch (text/x-diff, attachment)]

Severity set to 'serious' from 'important' Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Sat, 24 Nov 2012 12:42:20 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Sat, 24 Nov 2012 13:21:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 687449: 694164 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2012 14:33:06 GMT) Full text and rfc822 format available.

Reply sent to Dominik George <nik@naturalnet.de>:
You have taken responsibility. (Mon, 03 Dec 2012 04:36:03 GMT) Full text and rfc822 format available.

Notification sent to nik@naturalnet.de:
Bug acknowledged by developer. (Mon, 03 Dec 2012 04:36:03 GMT) Full text and rfc822 format available.

Message #23 received at 687449-close@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: 687449-close@bugs.debian.org
Subject: Bug#687449: fixed in redmine 1.4.4+dfsg1-1.1
Date: Mon, 03 Dec 2012 04:32:36 +0000
Source: redmine
Source-Version: 1.4.4+dfsg1-1.1

We believe that the bug you reported is fixed in the latest version of
redmine, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687449@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominik George <nik@naturalnet.de> (supplier of updated redmine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 29 Nov 2012 14:18:29 +0200
Source: redmine
Binary: redmine redmine-mysql redmine-pgsql redmine-sqlite
Architecture: source all
Version: 1.4.4+dfsg1-1.1
Distribution: unstable
Urgency: medium
Maintainer: Jérémy Lal <kapouer@melix.org>
Changed-By: Dominik George <nik@naturalnet.de>
Description: 
 redmine    - flexible project management web application
 redmine-mysql - metapackage providing MySQL dependencies for Redmine
 redmine-pgsql - metapackage providing PostgreSQL dependencies for Redmine
 redmine-sqlite - metapackage providing sqlite dependencies for Redmine
Closes: 687449 693994
Changes: 
 redmine (1.4.4+dfsg1-1.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * debian/control: add dependency on rubygems or recent enough ruby
     (Closes: #693994) [Axel Beckert].
   * debian/postinst: replace exit status -1 with 2 for shell compatibility
     (e.g. ksh) (Closes: #687449).
Checksums-Sha1: 
 27960274f003480815c0f48b09bdb0f4ce8379fe 2901 redmine_1.4.4+dfsg1-1.1.dsc
 bbe53d1cdbdc1a2a9da57f863e1f59acc1653a1a 37147 redmine_1.4.4+dfsg1-1.1.debian.tar.gz
 834ca0eccc691549f56b365e7a9d8635b16bb712 5037224 redmine_1.4.4+dfsg1-1.1_all.deb
 95025b23244edd770934d39a1b4454433dc7fadd 52864 redmine-mysql_1.4.4+dfsg1-1.1_all.deb
 6f9f2dd0911c19663a534a3fb10bf19161a7079d 52854 redmine-pgsql_1.4.4+dfsg1-1.1_all.deb
 4f0292a9dcef194ec3286b5603f6175ddb816436 52834 redmine-sqlite_1.4.4+dfsg1-1.1_all.deb
Checksums-Sha256: 
 5e7f552e0b0028f16b1f7d5e2c6554958130934a35c2f971f3703738347850a9 2901 redmine_1.4.4+dfsg1-1.1.dsc
 7d3b69f21bfc63b60a2bf1f331fd9ce97c2cbd1958c1cc5994be334feb2858f6 37147 redmine_1.4.4+dfsg1-1.1.debian.tar.gz
 f1523663a2d4e4ee0cf3397381a8f65073a1ec3253b89fcd2a2e934581b8b949 5037224 redmine_1.4.4+dfsg1-1.1_all.deb
 73140a5d00129e6fe46b54e89ee9b22c7c26f87d906b0690f7d49f9855097058 52864 redmine-mysql_1.4.4+dfsg1-1.1_all.deb
 0a86e743461d250dd6159770be5d156c4ca5cd3c2abffce7f65656b539adbb61 52854 redmine-pgsql_1.4.4+dfsg1-1.1_all.deb
 d0af2ab71d67a4ffdfc81f834976377bf74d83e274d59b401d9f7278a889c103 52834 redmine-sqlite_1.4.4+dfsg1-1.1_all.deb
Files: 
 6ccca2a40375ad24a0a0dfa18c4120c9 2901 web extra redmine_1.4.4+dfsg1-1.1.dsc
 611b6e085326bbaceadc816cf33f97d8 37147 web extra redmine_1.4.4+dfsg1-1.1.debian.tar.gz
 3d2ee3a0f4232cd1c91f1b8963d2d618 5037224 web extra redmine_1.4.4+dfsg1-1.1_all.deb
 5ec3d4968fd849c55657894096c674d0 52864 web extra redmine-mysql_1.4.4+dfsg1-1.1_all.deb
 7b333043de010b94f99e9122164effa2 52854 web extra redmine-pgsql_1.4.4+dfsg1-1.1_all.deb
 ce32b2d93c0e125700d2727897a1a4d1 52834 web extra redmine-sqlite_1.4.4+dfsg1-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJQtYwJAAoJELjWss0C1vRzCOUf/iWD+S2Rj+OlWWPMNX0NY+vJ
unHltA3M2uflKj6dWhQMJIZknDH5S4MxKzeFu1DkmDuKrr6NEi2q4na8DN+uBLBY
0pRe4BDNch5iIaduo7+Y7xQaGXRxggNpBgD0yAVm5Mcm5KDmaWgXRVGTZKJ75zJK
gkYpkzlY+Tqoo9ayuLT45SoIPryrRvXpTgbfwggiEi6qhvXJdbDS/Hr1Zw5j76hq
cp1tJsipV8Fdp1SFsxq60bMXTuTh4tksMiCiNo7xRrvqYWhpFay3TmSP+gGBu/ut
rUhN6DRN4zlMNVWAbr0pMwO1CABMunFuVtV6AULLuPmWoJAKHA/2nMegiIp515WX
ukMFEb1RfWKytl4Ya7b703bpQ5IjPOn4gJDBFPk3+r1LpLvAZqS81HaVuq8g0mtQ
7nId4E/ikK6uaJXYId8BiKUfY5m6L5LI9zFi9ZrVhpsYKTKxvSCeWrV5kN3p1bDG
HpX3zs2DQqWCUhyYEUmUNX2P/4i11Z7t7vMudwS2uWq3zVD6ekYEwhqq55VoRaOi
ygXkyqMLER6EgsNM/cY/fnpHiQoQClRgpAv9y8o0MrPYHndl2hp8Dm/WB75MRyc9
whPqOoUOg0Ihni+7iNXrMAf078dz+NSY4W9h8kEmU7Xcgi1/7gzVYSE75UrQrwun
mrnvE/FUTTmUWTzRP/i7f++feYmTu/OLtfUMmilftkqbq/oRNuxfzRiNckpVDNDf
iHXELI4I/Oa6eNT9wWRHiLGgeJEDcY4+JeZO1x33jeTap/+jvcMonRC+0qpz8sjd
cms+vtioae/VGz4TfNu+gj95c+fTWQ9HHplcjV/wRw5y1FTF7Tn2rOu4R2cot1q4
t1LKK74a3+g9W3bWvjaZRkbjKQU0JSMKyYH+D555XctgRzwcfti+akFNMEOb721U
BY238lSSyGmUc6XfG2QSXxcet6YeGEfxp/vNh4Gkly2OMr3iUcmgOFD5OEhw1v6S
vmAMtc2JRFN2Hh9TLRHUnWWBZURKy2uTL5JHc185s07MC2jhBTjAeIXFAoBzRDIh
vQSA1vRmHL1qhEJk0aAJDe6dmRWrzvCKH7b4iDYSfs2crCD+mQa3qaLIZNn071mO
R9FQms0wZR+nbBKz/xjsvCScZCcgNVcefg0Po/umv4r1OSSHkM2NKdMIo5rIKeFF
Q1uJtXQR2IO4WFOQSgfEuWfi+Vklk+UuBvng5lAfHlB3dhFF0qwiNL/FNg1bDCGg
D8KhaM0qj3JEUm/pk/r6IN2efaiwuZ1wG+o3crD/EtBSlDYAjEa7IrD2mnsc2ZFr
RQXUGUm/Kkd9tlj1ge2MZ8RDupM5TpBhaCe7ayHk65uAT3sn7XNA/s7eAF6Bd8k=
=Hbo/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jan 2013 07:27:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:06:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.